Subject: bug#46240: Sorting order of read-char-by-name

From: Juri Linkov <[email-masked]>
Date: Tue, 02 Feb 2021 19:16:00 +0200

>> The current order, while it doesn't follow the order of the characters
>> within the script, makes it very easy to find the character for anyone
>> who knows English (more generally, Latin) alphabet.  So I'm not sure
>> the proposed change is necessarily for the better, at least not in all
>> the use cases.
>
> I agree -- sorting by the Unicode character names is better here, I
> think.
>
> The command is for inserting characters you don't use constantly
> (because if you did, you'd use a different input method that made those
> characters more readily available), which means that you probably aren't
> super-familiar with them.  So you'd be looking at the (English)
> descriptions of the characters to find the one you want.

Indeed, the English descriptions help to identify the characters.

But the problem is that currently characters of one Unicode block
are scattered among the whole list.

For example, in 'C-x 8 RET SUPER TAB' the character SUPERHERO
from the Unicode block 'Supplemental Symbols and Pictographs'
currently is displayed at the beginning of the long list of
SUPERSCRIPT characters from the block 'Superscripts and Subscripts',
but its counterpart character SUPERVILLAIN is displayed
at the end of the long list of SUPERSCRIPT characters.

Whereas while sorting them by their codepoints, characters
of the same Unicode block come together:

🦸	SUPERHERO
🦹	SUPERVILLAIN